Bug 97023 - Maintainer update: fix install problem with www/cocoon
Summary: Maintainer update: fix install problem with www/cocoon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-09 09:30 UTC by Jean-Baptiste Quenot
Modified: 2006-05-14 23:08 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (9.99 KB, patch)
2006-05-09 09:30 UTC, Jean-Baptiste Quenot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Quenot 2006-05-09 09:30:13 UTC
Pointyhat reported that sbin/cocoon.sh was left after deinstall.  So I'm adding
a new file to SUB_FILES, sadly I also need to copy this file as it must be in
"files" whereas this file used to be in ${WRKSRC}.
Comment 1 Herve Quiroz freebsd_committer 2006-05-09 09:35:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Jean-Baptiste Quenot 2006-05-10 09:27:29 UTC
* Herve Quiroz:

> I'm afraid I don't really understand the relation between a file
> installed but not listed in pkg-plist and SUB_FILES...

Because I  was previously  using manual  sed substitutions  that I
could apply to  a file in any location.  Now  with SUB_FILES I can
only substitute files in FILESDIR.
-- 
     Jean-Baptiste Quenot
aka  John Banana Qwerty
http://caraldi.com/jbq/
Comment 3 Herve Quiroz freebsd_committer 2006-05-14 23:07:26 UTC
State Changed
From-To: open->closed

Patch commited. 

I had to add a statement to the imported shell script to comply with the Apache 
License 2.0. 

Thanks for your contribution!